%define        majver %(echo %version | cut -d. -f1-2)
Name:          libbabl
Version:       0.1.62
Release:       1mamba
Summary:       babl is a dynamic, any to any, pixel format translation library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://gegl.org/babl
Source:        http://download.gimp.org/pub/babl/%{majver}/babl-%{version}.tar.bz2
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Provides:      babl
Obsoletes:     babl

%description
babl is a dynamic, any to any, pixel format translation library.
It allows converting between different methods of storing pixels known as pixel formats that have with different bitdepths and other data representations, color models and component permutations.
A vocabulary to formulate new pixel formats from existing primitives is provided as well as the framework to add new color models and data types.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      babl-devel
Obsoletes:     babl-devel

%description devel
babl is a dynamic, any to any, pixel format translation library.
It allows converting between different methods of storing pixels known as pixel formats that have with different bitdepths and other data representations, color models and component permutations.
A vocabulary to formulate new pixel formats from existing primitives is provided as well as the framework to add new color models and data types.

This package contains static libraries and header files need for development.

%prep

%setup -q -n babl-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall extdir=%{_libdir}/babl-%{majver}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/babl-%{majver}
%{_libdir}/babl-%{majver}/*.so*
%{_libdir}/libbabl-%{majver}.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/babl-%{majver}/babl
%{_libdir}/babl-%{majver}/*.la
%{_includedir}/babl-%{majver}/babl/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libbabl-%{majver}.la
%{_libdir}/libbabl-%{majver}.so
%doc NEWS README TODO

%changelog
* Fri Mar 22 2019 Automatic Build System <autodist@mambasoft.it> 0.1.62-1mamba
- automatic version update by autodist

* Sun Nov 18 2018 Automatic Build System <autodist@mambasoft.it> 0.1.60-1mamba
- automatic version update by autodist

* Sun Oct 14 2018 Automatic Build System <autodist@mambasoft.it> 0.1.58-1mamba
- automatic version update by autodist

* Fri Aug 24 2018 Automatic Build System <autodist@mambasoft.it> 0.1.56-1mamba
- automatic version update by autodist

* Thu Jul 05 2018 Automatic Build System <autodist@mambasoft.it> 0.1.52-1mamba
- automatic version update by autodist

* Wed May 23 2018 Automatic Build System <autodist@mambasoft.it> 0.1.50-1mamba
- automatic version update by autodist

* Wed Apr 18 2018 Automatic Build System <autodist@mambasoft.it> 0.1.46-1mamba
- automatic version update by autodist

* Sun Mar 25 2018 Automatic Build System <autodist@mambasoft.it> 0.1.44-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 0.1.38-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 0.1.30-1mamba
- automatic version update by autodist

* Mon Mar 06 2017 Automatic Build System <autodist@mambasoft.it> 0.1.24-1mamba
- automatic version update by autodist

* Mon Oct 03 2016 Automatic Build System <autodist@mambasoft.it> 0.1.18-1mamba
- automatic version update by autodist

* Fri Jul 15 2016 Automatic Build System <autodist@mambasoft.it> 0.1.16-1mamba
- automatic version update by autodist

* Sat Nov 28 2015 Automatic Build System <autodist@mambasoft.it> 0.1.14-1mamba
- automatic version update by autodist

* Sat Sep 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.12-1mamba
- update to 0.1.12

* Thu May 03 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.1.10-1mamba
- update to 0.1.10

* Thu Dec 22 2011 Automatic Build System <autodist@mambasoft.it> 0.1.6-1mamba
- automatic version update by autodist

* Wed Feb 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.4-1mamba
- update to 0.1.4

* Mon Oct 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.2-2mamba
- rebuilt to add pkgconfig provides

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 0.1.2-1mamba
- update to 0.1.2

* Mon Jun 08 2009 Automatic Build System <autodist@mambasoft.it> 0.1.0-1mamba
- automatic update by autodist

* Thu Oct 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.22-2mamba
- added missing devel package description
- move development library files (*.la, *.so) to devel package
- renamed to libbabl

* Wed Oct 01 2008 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.0.22-1mamba
- package created by autospec
